package com.qmth.exam.reserve.cache;

/**
 * 缓存相关常量
 */
public interface CacheConstants {

    /**
     * 缓存策略：禁止空值
     */
    String DISABLE_NULL_VALUE = "#result == null";

    /**
     * 用户登录会话缓存前缀
     */
    String CACHE_SESSION_PREFIX = "SESSION:";

    /**
     * 用户登录标识_{userId}
     */
    String CACHE_USER_LOGIN = "U_";

    /**
     * 学生登录标识_{studentId}
     */
    String CACHE_STUDENT_LOGIN = "S_";

    /**
     * 自动排考前缀:{yyyyMMdd}
     */
    String LOCK_ARRANGE_EXAM = "LOCK:ARRANGE_EXAM:";

    /**
     * 自动安排时间锁
     */
    String LOCK_AUTO_APPLY = "LOCK:AUTO_APPLY";

}
