package com.qmth.exam.reserve.service;

import com.qmth.exam.reserve.bean.RichTextBean;
import com.qmth.exam.reserve.bean.apply.ApplyTimePeriodResult;
import com.qmth.exam.reserve.bean.apply.ApplyVO;
import com.qmth.exam.reserve.bean.apply.TicketInfo;
import com.qmth.exam.reserve.bean.login.LoginUser;

import java.util.List;

public interface ExamReserveService {

    void saveStudentApply(Long studentId, Long examSiteId, Long timePeriodId);

    void cancelStudentApply(Long studentId, Long applyId);

    List<ApplyVO> getStudentApplyList(Long studentId, Boolean cancel);

    List<ApplyVO> getStudentApplyListForCurrent(Long studentId);

    TicketInfo getApplyTicket(Long studentId, Long applyId);

    List<String> getApplyDateList(Long orgId);

    ApplyTimePeriodResult getApplyTimePeriodList(LoginUser loginUser, Long examSiteId, String date);

    RichTextBean getExamNotice(Long applyTaskId);

    RichTextBean getExamSiteGuide(Long examSiteId);

}
